
Summary:	darktable is a photography workflow application
Name: 		darktable
Version: 	2.2.4
Release: 	%mkrel 1
Source0: 	http://downloads.sourceforge.net/darktable/1.1/%{name}-%{version}.tar.xz
License: 	GPLv3
Group:		Graphics
Url: 		http://darktable.sourceforge.net
#------------------------------------------------
BuildRequires: cmake
BuildRequires: %{_lib}OpenEXR-devel
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}exiv2-devel
BuildRequires: %{_lib}flickcurl-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gnome-keyring-devel
BuildRequires: %{_lib}gphoto-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}ilmbase-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}json-glib-devel
BuildRequires: %{_lib}lcms2-devel
BuildRequires: %{_lib}lensfun-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}openjpeg1-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}rsvg2-devel
BuildRequires: %{_lib}soup-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}osmgpsmap1.0-devel
BuildRequires: %{_lib}lua5.2-devel
BuildRequires: %{_lib}pugixml-devel
BuildRequires:	colord-devel
BuildRequires: libgomp-devel
BuildRequires: perl-devel
BuildRequires: GraphicsMagick-devel
BuildRequires: llvm-clang
#--------------------------------------
BuildConflicts: %{_lib}cups2-devel
#--------------------------------------
Obsoletes:	darktable-plugins-experimental


%description
Darktable is a photography workflow application: a virtual lighttable
and darkroom for photographers: it manages your digital negatives in a
database and lets you view them through a zoomable lighttable. it also
enables you to develop raw images and enhance them.


%description -l de
Darktable ist ein Open Source Fotografie-Arbeitsablauf Programm und dient auch zum
Entwickeln von RAW Dateien. Ein virtueller Lichttisch and eine Dunkelkammer für Fotografen.
Es verwaltet Ihre digitalen Negative in einer Datenbank, lässt Sie diese auf einem
Zoombaren Lichttisch betrachten und erlaubt es Ihnen RAW Bilder zu entwickeln und zu 
verbessern.



%prep
%setup -q

%build
%cmake -DBINARY_PACKAGE_BUILD=On

%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
cat > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf << EOF
%{_libdir}/%{name}
EOF



%find_lang %name

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%name
%{_bindir}/%name-*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%name
%{_iconsdir}/*/*/*/*
%{_libdir}/%name
%{_docdir}/%name
%{_mandir}/man1/*
%config %{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf
%{_datadir}/appdata/darktable.appdata.xml

#add for above ldconfig entry
%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%changelog
* Sat May 20 2017 adrianomorselli <adrianomorselli> 2.2.24-1uplos2017
- update
